org.codehaus.groovy.runtime

## Class FlushingStreamWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.OutputStreamWriter
    - - org.codehaus.groovy.runtime.FlushingStreamWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public class FlushingStreamWriter
      extends java.io.OutputStreamWriter

  Stream writer which flushes after each write operation.
  Author:
    Guillaume Laforge

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlushingStreamWriter(java.io.OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(java.lang.String str, int off, int len)`

    - ### Methods inherited from class java.io.OutputStreamWriter

      `close, flush, getEncoding`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlushingStreamWriter

          public FlushingStreamWriter(java.io.OutputStream out)

  - ### Method Detail

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStreamWriter`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int c)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStreamWriter`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String str,
                            int off,
                            int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStreamWriter`
      Throws:
        `java.io.IOException`